<?php
/*
 * IMAGE CMS
 * copyright pixelimage.jp All rights reserved.
 */

if (!defined('IMAGE_CMS')) exit;

if (get_magic_quotes_gpc()) {
  function strip_magic_quotes_slashes($arr) {
    return is_array($arr) ?
      array_map('strip_magic_quotes_slashes', $arr) :
      stripslashes($arr);
  }
  $_GET     = strip_magic_quotes_slashes($_GET);
  $_POST    = strip_magic_quotes_slashes($_POST);
}

function status_success(){
	echo( '{"status":1 , "message":"success"}');
	exit();
}

function status_fileNotFound(){
	echo( '{"status":0 , "message":"file not found"}');
	exit();
}
function status_error($s){
	echo( '{"status":0 , "message":"'.$s.'"}');
	exit();
}

function checkFileExist($f){
	if(! file_exists($f)){
		status_fileNotFound();
	}
}


function removeAllDirectory($dir) {
	if ($handle = opendir("$dir")) {
		while (false !== ($item = readdir($handle))) {
			if ($item != "." && $item != "..") {
				if (is_dir("$dir/$item")) {
					removeAllDirectory("$dir/$item");
				} else {
					unlink("$dir/$item");
				}
			}
		}
		closedir($handle);
		rmdir($dir);
	}
}

function is_action($text) {
	if($text =="") return  true;
    if (preg_match("/^[a-zA-Z]+$/",$text)) {
        return true;
    } else {
        return false;
    }
}
function is_fileName($text) {
	if($text =="") return  true;
    if (preg_match("/^[a-zA-Z0-9._¥-]+$/",$text)) {
        return true;
    } else {
        return false;
    }
}

function is_imageFileName($text){
	$b = false;
	$pathinfo = pathinfo($text);
	if(strtolower($pathinfo['extension']) == "jpg")$b = true;
	if(strtolower($pathinfo['extension']) == "png")$b = true;
	return $b;
}
function changeExtentionLower($dir,$text){
	if(strrpos($text, ".JPG")){
		$rep = str_replace(".JPG",".jpg",$text);
		rename($dir."/".$text, $dir."/".$rep);
		return $rep;
	} else{
		return $text;
	}
}