<?php
/*
 * IMAGE CMS
 * copyright pixelimage.jp All rights reserved.
 */

define('IMAGE_CMS', true);
define('IMAGE_DIR', "../images_cms/");
define('IMAGE_SIZE_DEF', 1000);
define('IMAGE_SIZE_MINI', 200);

//define('IS_DEMO', true);
define('IS_DEMO', false);

require_once("image.class.php");
require_once("image.funcs.php");

//$useLogin = false;
$isDev = false;

if($isDev){
	ini_set( 'display_errors', 1 ); 
	error_reporting(E_ALL & ~E_NOTICE);
	header("Access-Control-Allow-Origin:*");
}else{
	error_reporting(0);
}

header("Content-Type: application/json; charset=utf-8");


ini_set('memory_limit', '64M');

/* ! ---------- session check ---------- ---------- ---------- ---------- */
/*
if($useLogin){
	session_start();
	
	if(!isset($_SESSION['login']) || ! $_SESSION['login']){
		echo( '{"status":-1 , "message":"not logined"}');
		exit();
	}
}
*/

/* ! ---------- input ---------- ---------- ---------- ---------- */

$ac = "";
if(isset($_GET['action'])){$ac = $_GET['action'];}
if(isset($_POST['action'])){$ac = $_POST['action'];}
$action 	= $ac;

if(isset($_GET ['file_name'])){$file_name = $_GET ['file_name'];}
if(isset($_POST['file_name'])){$file_name = $_POST['file_name'];}
if(isset($_GET ['file_rename'])){$file_rename = $_GET ['file_rename'];}
if(isset($_POST['file_rename'])){$file_rename = $_POST['file_rename'];}

if(isset($_GET ['dir_name'])){$dir_name = $_GET ['dir_name'];}
if(isset($_POST['dir_name'])){$dir_name = $_POST['dir_name'];}
if(isset($_GET ['dir_rename'])){$dir_rename = $_GET ['dir_rename'];}
if(isset($_POST['dir_rename'])){$dir_rename = $_POST['dir_rename'];}


if($action == "") 				status_error("code_001");
if(! is_action($action))		status_error("code_002");
if(! is_fileName($file_name))	status_error("code_003");
if(! is_fileName($file_rename))	status_error("code_004");
if(! is_fileName($dir_name))	status_error("code_005");
if(! is_fileName($dir_rename))	status_error("code_006");

if(IS_DEMO){
	if($action != "get"){
		status_success();
	}
}


/* ! ---------- image dirctory ---------- ---------- ---------- ---------- */

$g = "";
if(isset($_GET['gloup'])){$g= $_GET['gloup'];}
if(isset($_POST['gloup'])){$g= $_POST['gloup'];}
if(! is_fileName($g))status_error("code_011");

$dirObject = new ImageDirClass();
$dirObject->init($g);


/* ! ---------- main ---------- ---------- ---------- ---------- */
/* ! ---------- main ---------- ---------- ---------- ---------- */
/* ! ---------- main ---------- ---------- ---------- ---------- */

/* ! ---------- upload ---------- ---------- ---------- ---------- */

if($action == "upload"){
	$f = new ImageFileClass();
	//$f->init($dirObject,strtolower($_FILES['image']['name']));
	$f->init($dirObject,$_FILES['image']['name']);
	$f->upload($_FILES['image']['tmp_name']);

} else if($action == "previewImage"){
	$f = new ImageFileClass();
	$f->init($dirObject,$_FILES['image']['name']);
	$f->previewImage($_FILES['image']['tmp_name']);
	
} else if($action == "updateJson"){
	$f = new ImageFileClass();
	$f->init($dirObject,$file_name);
	$f->updateJson();
	
} else if($action == "publicImage"){
	$f = new ImageFileClass();
	$f->init($dirObject,$_FILES['image']['name']);
	$f->publicImage($_FILES['image']['tmp_name']);
	
} else if($action == "exportMonoImage"){
	$f = new ImageFileClass();	
	$path = $dirObject->main.$_FILES['image']['name'];
	$temp = $_FILES['image']['tmp_name'];
	move_uploaded_file($temp, $path);

/* ! ---------- createDir ---------- ---------- ---------- ---------- */

} else if($action == "createDir"){ 
	$dirObject->createDir($dir_name);
	
} else if($action == "renameDir"){ 
	$dirObject->renameDir($dir_name,$dir_rename);

} else if($action == "deleteDir"){ 
	$dirObject->deleteDir($dir_name);

/* ! ---------- get file list---------- ---------- ---------- ---------- */

} else if($action == "get"){
	$dirObject->createList();
	
	$files = $dirObject->files;
	$s2 = array();
	if($g != ""){
		for ($i = 0 ; $i < count($files); $i++) {
			$m = preg_match("/^[a-z0-9_-]*.(jpg|png)/i",$files[$i]);
			if( $m == 1){
				$f = new ImageFileClass();
				$f->init($dirObject,$files[$i]);
				$f->createCopyImages();
				array_push($s2,$f->createInfoJSON());
			}
		}
	}
	echo('{ "basedir" : "'. $dirObject->main .'",');
	echo(' "dirs" : ');
	echo( "[ ".$dirObject->createInfoJSON()." ],");
	echo(' "files" : ');
	echo( "[ ".join( ",", $s2 )." ]");
	echo('}');
	exit();

/* ! ---------- add ---------- ---------- ---------- ---------- */

} else if($action == "add"){

/* ! ---------- rename ---------- ---------- ---------- ---------- */

} else if($action == "rename" ){
	$f = new ImageFileClass();
	$f->init($dirObject,$file_name);
	$f->init_re($dirObject,$file_rename);
	$f->rename();
	
/* ! ---------- duplicate ---------- ---------- ---------- ---------- */

} else if($action == "duplicate" ){
	$f = new ImageFileClass();
	$f->init($dirObject,$file_name);
	$f->init_re($dirObject,$file_rename);
	$f->duplicate();

/* ! ---------- delete ---------- ---------- ---------- ---------- */

} else if($action == "delete"){
	$f = new ImageFileClass();
	$f->init($dirObject,$file_name);
	$f->delete();

} else{
	status_error("code_099");
}

status_success();
